Loading...
Searching...
No Matches
color.c File Reference

GRASS png display driver - PNG_color_rgb. More...

`#include <grass/gis.h>`
`#include "pngdriver.h"`
Include dependency graph for pngdriver/color.c:

Go to the source code of this file.

## Functions

void | PNG_color_rgb (int r, int g, int b)
| Identify a color.

## Detailed Description

GRASS png display driver - PNG_color_rgb.

(C) 2003-2014 by Per Henrik Johansen and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Per Henrik Johansen (original contributor)
  Glynn Clements

Definition in file pngdriver/color.c.

## Function Documentation

## PNG_color_rgb()

void PNG_color_rgb | ( | int | r,
|  | int | g,
|  | int | b )

Identify a color.

Identify a color that has been set in the reset_color() (found in Reset_clr.c file in this directory). Subsequent graphics calls will use this color.

Called by: Color() in ../lib/Color.c

Parameters

  r | red color value
  g | green color value
  b | blue color value

Definition at line 31 of file pngdriver/color.c.

References b, g, png, png_get_color(), and r.

Referenced by PNG_Driver().